# dotfiles.nix

nix user configuration for nix{-darwin,OS} and home-manager.

relies heavily on [flake.parts](https://flake.parts) for organization.

## installation
```shell
$ nix build .#configurations.matbook.system
$ ./result/sw/bin/darwin-rebuild switch --flake .
```

## organization

### flake.nix

main entry point and glue for submodules

### darwin

[nix-darwin](https://github.com/LnL7/nix-darwin) specific configuration

### home

[home-manager](https://github.com/nix-community/home-manager) configuration

### nixos

nixos specific configuration

### pkgs

overlay with some additional packages

### systems

system-specific bits of configuration, relating to a particular host or type of hosts

### templates

nix flake templates for flake-based projects

### users

flake-wide user configuration

## grafts

this is a painfully incomplete list of some of the more directly inspirations for this repo:

- https://github.com/srid/nixos-config
- https://github.com/malob/nixpkgs
