{ flake, pkgs, ... }:
let
  inherit (flake.config.users) me me';
  tomlFormat = pkgs.formats.toml { };
in {
  home = {
    packages = [ pkgs.pijul ];
    file = {
      # hardcode .config because pijul doesn't support XDG (yet?)
      ".config/pijul/config.toml".source = tomlFormat.generate "pijul-config" {
        author = {
          name = me;
          full_name = me'.name;
          inherit (me') email;
        };
      };
    };
  };
}
