inputs: self: super: {
  inherit (inputs) terminal-themes;
  # get flake inputs prefixed with fish-plugin- and inject them into fishPlugins as a single list
  fishPlugins = super.fishPlugins // {
    flakePlugins = let
      srcs =
        self.lib.filterAttrs (input: _: self.lib.hasPrefix "fish-plugin-" input)
        inputs;
    in self.lib.mapAttrsToList (input: src: {
      name = self.lib.removePrefix "fish-plugin-" input;
      inherit src;
    }) srcs;
  };
  ia-writer-family = self.callPackage ./ia-writer-family.nix {
    inherit (inputs) ia-writer-family-src;
  };
  mac-app-util =
    inputs.mac-app-util.packages.${super.stdenv.system}.default.overrideAttrs
    (old: {
      postInstall = old.postInstall + ''
        wrapProgram "$out/bin/mac-app-util" --suffix PATH : "${super.jq}/bin"
      '';
    });
  recursive-patched = self.callPackage ./recursive-patched.nix { };
}
