{ pkgs, ... }: {
  environment.systemPackages = [ pkgs.terminal-notifier ];

  # networking settings
  # TODO: do we need to add Tailscale, ProtonVPN, RNDIS (reMarkable), etc?
  networking.knownNetworkServices =
    [ "USB 10/100/1000 LAN" "Wi-Fi" "Thunderbolt Bridge" ];
  # TODO: where / how to configure hostname etc?

  # manage build users, package, and daemon
  nix.configureBuildUsers = true;
  services.nix-daemon.enable = true;

  # use TouchID for sudo authentication
  security.pam.enableSudoTouchIdAuth = true;

  # used for backwards compatibility, please read the changelog before changing
  # $ darwin-rebuild changelog
  system.stateVersion = 4;
}
